[versions]
kotlin = "2.0.20"
kotest = "5.9.1"
detekt = "1.23.7"
chinese-transliteration = "1.0.1"

[libraries]
chinese-transliteration = { module = "com.marvinelsen:chinese-transliteration", version.ref = "chinese-transliteration" }

# Kotest
# See: https://kotest.io
kotest-core = { module = "io.kotest:kotest-runner-junit5", version.ref = "kotest" }
kotest-assertions = { module = "io.kotest:kotest-assertions-core", version.ref = "kotest" }

# Detekt
# See: https://detekt.dev
detekt-formatting = { module = "io.gitlab.arturbosch.detekt:detekt-formatting", version.ref = "detekt" }

[plugins]
# Kotlin
# See: https://plugins.gradle.org/plugin/org.jetbrains.kotlin.jvm
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
# Detekt
# See: https://detekt.dev
detekt = { id = "io.gitlab.arturbosch.detekt", version.ref = "detekt" }